> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noyo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Termination Member Request

> The `termination` member request is used to remove an employee and their dependents from coverage at all carriers. The `last_work_date` will be communicated to the carrier and the `last_day_of_coverage` will be determined by the carrier and included in the result.

<Warning>
  The Member Request workflow is now deprecated in favor of using [Member
  Snapshot](/docs/members/using-snapshots/using-snapshots)
</Warning>


## OpenAPI

````yaml POST /api/v1/employees/{employee_id}/member_requests/termination
openapi: 3.0.1
info:
  description: Policy management APIs for health and ancillary insurance
  title: Noyo Fulfillment API
  version: 1.0.0
servers:
  - description: Noyo Fulfillment API - Live
    url: https://fulfillment.noyo.com
  - description: Noyo Fulfillment API - Sandbox
    url: https://fulfillment-sandbox.noyo.com
security: []
paths:
  /api/v1/employees/{employee_id}/member_requests/termination:
    post:
      tags:
        - Member Requests
      summary: Create a Termination Member Request
      description: >-
        The `termination` member request is used to remove an employee and their
        dependents from coverage at all carriers. The `last_work_date` will be
        communicated to the carrier and the `last_day_of_coverage` will be
        determined by the carrier and included in the result.
      operationId: terminationMemberRequest
      parameters:
        - description: The unique identifier of the employee related to the member request
          in: path
          name: employee_id
          required: true
          schema:
            example: 6dc22bed-27fc-458c-b732-bdaf5b5a1031
            format: uuid
            type: string
      requestBody:
        content:
          application/json:
            examples:
              success:
                summary: Member Request to successfully terminate an employee
                value:
                  employee_id: 6dc22bed-27fc-458c-b732-bdaf5b5a1031
                  last_work_date: '2020-01-15'
                  reason: voluntary
                  signature_date: '2020-01-01'
            schema:
              $ref: '#/components/schemas/MemberRequestTerminationRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              example:
                body:
                  employee_id: 6dc22bed-27fc-458c-b732-bdaf5b5a1031
                  last_work_date: '2020-01-15'
                  reason: voluntary
                  signature_date: '2020-01-01'
                created: 1557512389
                employee_id: 6dc22bed-27fc-458c-b732-bdaf5b5a1031
                id: dd9a1813-34f7-4c7e-86bc-f041f2cbd9a1
                modified: 1564440756
                request_type: termination
                status: processing
                transactions:
                  - f4ecdaa5-e019-4a24-98c7-2caee9a58ccd
              schema:
                $ref: '#/components/schemas/MemberRequestResult'
          description: Successful Response - Returns the new Member Request
components:
  schemas:
    MemberRequestTerminationRequest:
      properties:
        last_work_date:
          description: ISO-8601 date string for last day of work of the terminated employee
          example: '2019-03-04'
          pattern: ^([0-9]{4})(-)(1[0-2]|0[1-9])\2(3[01]|0[1-9]|[12][0-9])$
          type: string
        reason:
          description: Reason for employee termination of coverage
          enum:
            - voluntary
            - involuntary
            - job-eliminated
            - loss-of-eligibility
            - member-deceased
            - military-leave
            - leave-of-absence
          example: voluntary
          type: string
        signature_date:
          description: ISO-8601 date string for signature date
          pattern: ^([0-9]{4})(-)(1[0-2]|0[1-9])\2(3[01]|0[1-9]|[12][0-9])$
          type: string
      required:
        - last_work_date
        - reason
      type: object
      x-field_order:
        - reason
        - last_work_date
        - signature_date
    MemberRequestResult:
      properties:
        body:
          description: >-
            Data required to execute a member request, varies depending on the
            request type
          type: object
        completed:
          description: Timestamp indicating when a member request was marked as completed
          readOnly: true
          type: integer
        created:
          description: The date the record was created
          type: integer
        employee_id:
          description: Unique identifier of the employee in Noyo
          format: uuid
          readOnly: true
          type: string
        id:
          description: Unique identifier of the record in Noyo
          format: uuid
          type: string
        modified:
          description: The date the record was last updated
          type: integer
        request_type:
          description: Transaction type for the member request
          enum:
            - demographic
            - new_hire
            - termination
            - open_enrollment
            - qualifying_life_event
            - enrollment_snapshot
            - cobra_enrollment
            - cobra_termination
            - cobra_open_enrollment
            - cobra_qualifying_life_event
          type: string
        result:
          description: >-
            Result from executing the member request, varies depending on the
            request type
          type: object
        status:
          description: Status of the member request
          enum:
            - processing
            - completed
            - failed
            - canceled
          type: string
        transactions:
          description: >-
            List of unique identifiers of all associated member transactions in
            Noyo
          items:
            format: uuid
            type: string
          type: array
        version:
          description: Current version of the record
          format: uuid
          type: string
      required:
        - body
        - created
        - employee_id
        - id
        - modified
        - request_type
        - result
        - status
        - version
      type: object
      x-field_order:
        - id
        - version
        - created
        - completed
        - modified
        - employee_id
        - request_type
        - status
        - transactions
        - body
        - result

````